Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class AllocationHierarchySpecification

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.Allocation
                  |
                  +--oracle.AWXML.AllocationHierarchySpecification

public class AllocationHierarchySpecification
extends Allocation

An `Allocation` that specifies the rules for allocating data for members of a hierarchy of a dimension. An `AllocationHierarchySpecification` is owned by an `AllocationDefinition`, which has an ordered list of `AllocationHierarchySpecification` objects.

The selection of dimension members in the hierarchy is specified by a `DimensionMemberSelection` that is owned by the `Dimension` associated with the `AllocationHierarchySpecification`.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`AllocationHierarchySpecification(BaseObject input)` Creates an `AllocationHierarchySpecification` for the specified `AllocationDefinition`.

Method Summary
`java.lang.String` | `Create(AWConnection connection)` Creates an `AllocationHierarchySpecification` and appends it to the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
`java.lang.String` | `CreateAfter(AWConnection connection, BaseObject referencedObj)` Creates an `AllocationHierarchySpecification` and puts it after the referenced object in the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
`java.lang.String` | `CreateBefore(AWConnection connection, BaseObject referencedObj)` Creates an `AllocationHierarchySpecification` and puts it before the referenced object in the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
`java.lang.String` | `CreateFirst(AWConnection connection)` Creates an `AllocationHierarchySpecification` and puts it at the beginning of the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
`java.lang.String` | `Delete(AWConnection connection)` Removes the `AllocationHierarchySpecification` from the list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
`Dimension` | `getDimension()` Gets the `Dimension` object that is associated with the `AllocationHierarchySpecification`.
`Hierarchy` | `getHierarchy()` Gets the `Hierarchy` object associated with the `AllocationHierarchySpecification`.
`void` | `setDimension(Dimension input)` Specifies the `Dimension` object to associate with the `AllocationHierarchySpecification`.
`void` | `setHierarchy(Hierarchy input)` Specifies the `Hierarchy` object to associate with the `AllocationHierarchySpecification`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `Allocation`.

Methods inherited from class oracle.AWXML.Allocation
`createAllocationArgument, createAllocationOperator, getAllocationArguments, getAllocationOperator, getCalculationOrder, getNaOperator, getRemOperator, setAllocationArgument, setAllocationOperator, setCalculationOrder, setCalculationOrder, setNaOperator, setRemOperator`

Methods inherited from class oracle.AWXML.BaseObject
`Alter, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllocationHierarchySpecification

    public AllocationHierarchySpecification(BaseObject input)

  Creates an `AllocationHierarchySpecification` for the specified `AllocationDefinition`.
  Parameters:
    `input` - The `AllocationDefinition` that you want to own the `AllocationHierarchySpecification`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `Allocation`.
  Overrides:
    WriteToXML in class Allocation
  Returns:
    An XML `String` that represents the `Allocation`.

### setHierarchy

    public void setHierarchy(Hierarchy input)

  Specifies the `Hierarchy` object to associate with the `AllocationHierarchySpecification`. If a `Dimension` is already specified for the `AllocationHierarchySpecification`, then the `Hierarchy` must be owned by that `Dimension`.
  Parameters:
    `input` - The `Hierarchy` to associate with the `AllocationHierarchySpecification`.

### getHierarchy

    public Hierarchy getHierarchy()

  Gets the `Hierarchy` object associated with the `AllocationHierarchySpecification`.
  Returns:
    The `Hierarchy` associated with the `AllocationHierarchySpecification`.

### setDimension

    public void setDimension(Dimension input)

  Specifies the `Dimension` object to associate with the `AllocationHierarchySpecification`. If a `Hierarchy` is already specified for the `AllocationHierarchySpecification`, then the `Dimension` must be the owner of the `Hierarchy`.
  Parameters:
    `input` - The `Dimension` to associate with the `AllocationHierarchySpecification`.

### getDimension

    public Dimension getDimension()

  Gets the `Dimension` object that is associated with the `AllocationHierarchySpecification`.
  Returns:
    The `Dimension` associated with the `AllocationHierarchySpecification`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates an `AllocationHierarchySpecification` and appends it to the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
  Overrides:
    Create in class Allocation
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if the method creates the `AllocationHierarchySpecification`.

### CreateFirst

    public java.lang.String CreateFirst(AWConnection connection)

  Creates an `AllocationHierarchySpecification` and puts it at the beginning of the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
  Overrides:
    CreateFirst in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if the method creates the `AllocationHierarchySpecification`.

### CreateAfter

    public java.lang.String CreateAfter(AWConnection connection,
                                        BaseObject referencedObj)

  Creates an `AllocationHierarchySpecification` and puts it after the referenced object in the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
  Overrides:
    CreateAfter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
    `referencedObj` - The `AllocationHierarchySpecification` after which to put the new `AllocationHierarchySpecification`.
  Returns:
    A `String` that contains `success` if the method creates the `AllocationHierarchySpecification`.

### CreateBefore

    public java.lang.String CreateBefore(AWConnection connection,
                                         BaseObject referencedObj)

  Creates an `AllocationHierarchySpecification` and puts it before the referenced object in the ordered list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
  Overrides:
    CreateBefore in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
    `referencedObj` - The `AllocationHierarchySpecification` before which to put the new `AllocationHierarchySpecification`.
  Returns:
    A `String` that contains `success` if the method creates the `AllocationHierarchySpecification`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Removes the `AllocationHierarchySpecification` from the list of `AllocationHierarchySpecification` objects of the owning `AllocationDefinition`.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if the method removes the `AllocationHierarchySpecification` from the list.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.